| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus Class Reference

Provides detailed information about LiveUpdate virus definitions on Symantec LiveUpdate servers and on the Symantec Endpoint Protection Manager server. More...

## Public Member Functions
String | getLatestAvDefsContentDate ()
| Returns the date in UTC format of the most recent virus definitions that are available from the Symantec LiveUpdate servers. More...
void | setLatestAvDefsContentDate (String latestAvDefsContentDate)
| Client applications should not call this method. More...
int | getLatestAvDefsContentRevision ()
| Returns the revision number of the virus definitions that are available from the Symantec LiveUpdate servers. More...
void | setLatestAvDefsContentRevision (int latestAvDefsContentRevision)
| Client applications should not call this method. More...
String | getLatestServerAvDefsContentDate ()
| Returns the date in UTC format of the most recent virus definitions that are available from the Symantec Endpoint Protection Manager server. More...
void | setLatestServerAvDefsContentDate (String latestServerAvDefsContentDate)
| Client applications should not call this method. More...
int | getLatestServerAvDefsContentRevision ()
| Returns the revision number of the virus definitions that are available on the Symantec Endpoint Protection Manager server. More...
void | setLatestServerAvDefsContentRevision (int latestServerAvDefsContentRevision)
| Client applications should not call this method. More...
boolean | isServerAvDefsContentPresent ()
| Returns whether virus definitions have been downloaded to the Symantec Endpoint Protection Manager server from the Symantec LiveUpdate servers. More...
void | setServerAvDefsContentPresent (boolean serverAvDefsContentPresent)
| Client applications should not call this method. More...
boolean | isAvDefsContentPresent ()
| Returns whether virus definitions can be retrieved from the Symantec LiveUpdate servers. More...
void | setAvDefsContentPresent (boolean avDefsContentPresent)
| Client applications should not call this method. More...

## Detailed Description

Provides detailed information about LiveUpdate virus definitions on Symantec LiveUpdate servers and on the Symantec Endpoint Protection Manager server.

## Member Function Documentation

String com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.getLatestAvDefsContentDate | ( |  | ) |

Returns the date in UTC format of the most recent virus definitions that are available from the Symantec LiveUpdate servers.

Returns
  the date of the most recent virus definitions on the the Symantec LiveUpdate servers

void com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.setLatestAvDefsContentDate | ( | String | latestAvDefsContentDate | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  latestAvDefsContentDate | the date of the most recent virus definitions on the Symantec LiveUpdate servers

int com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.getLatestAvDefsContentRevision | ( |  | ) |

Returns the revision number of the virus definitions that are available from the Symantec LiveUpdate servers.

Returns
  the revision number of the virus definitions on the Symantec LiveUpdate servers

void com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.setLatestAvDefsContentRevision | ( | int | latestAvDefsContentRevision | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  latestAvDefsContentRevision | the revision number of the virus definitions on the Symantec LiveUpdate servers

String com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.getLatestServerAvDefsContentDate | ( |  | ) |

Returns the date in UTC format of the most recent virus definitions that are available from the Symantec Endpoint Protection Manager server.

Returns
  the date of the most recent virus definitions on the Symantec Endpoint Protection Manager server

void com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.setLatestServerAvDefsContentDate | ( | String | latestServerAvDefsContentDate | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  latestServerAvDefsContentDate | the date of the most recent virus definitions on the Symantec Endpoint Protection Manager server

int com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.getLatestServerAvDefsContentRevision | ( |  | ) |

Returns the revision number of the virus definitions that are available on the Symantec Endpoint Protection Manager server.

Returns
  the revision number of the virus definitions on the Symantec Endpoint Protection Manager server

void com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.setLatestServerAvDefsContentRevision | ( | int | latestServerAvDefsContentRevision | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  latestServerAvDefsContentRevision | the revision number of the virus definitions on the Symantec Endpoint Protection Manager server

boolean com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.isServerAvDefsContentPresent | ( |  | ) |

Returns whether virus definitions have been downloaded to the Symantec Endpoint Protection Manager server from the Symantec LiveUpdate servers.

Returns
  true if virus definitions have been downloaded to the Symantec Endpoint Protection Manager server, otherwise false

void com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.setServerAvDefsContentPresent | ( | boolean | serverAvDefsContentPresent | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  serverAvDefsContentPresent | whether virus definitions have been downloaded to the Symantec Endpoint Protection Manager server

boolean com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.isAvDefsContentPresent | ( |  | ) |

Returns whether virus definitions can be retrieved from the Symantec LiveUpdate servers.

Note that a return value of false indicates only that the definitions could not be found by the web service call. It does not indicate that definitions are not available.

Returns
  true if virus definitions are found on the Symantec LiveUpdate servers

void com.symantec.sepm.webservice.liveupdate.LiveUpdateAvDefStatus.setAvDefsContentPresent | ( | boolean | avDefsContentPresent | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  avDefsContentPresent | whether virus definitions are found on the Symantec LiveUpdate servers